Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » sysml model migration not working (mars to neon)(sysml models created in eclipse mars not working in neon?)
sysml model migration not working (mars to neon) [message #1750937] Mon, 02 January 2017 13:16 Go to next message
Stefan Schindler is currently offline Stefan SchindlerFriend
Messages: 4
Registered: January 2017
Junior Member
Hi there,

all my sysml models were created with papyrus (1.1.4) in eclipse mars.2.
Now, when I try to open one of those models with papyrus (2.0.1) in eclipse neon.1, it's not working.

All the models come from a git repo.
The "Papyrus SysML 1.4 Feature" (0.10.0) is installed.

On double-clicking the "model" in the project explorer, a "welcome page" opens, with a red exclamation mark(!) beneath the model name in the "Notation Views" section and the model language is displayed as UML 2.5.0 (see screenshot1.png).
When clicking on the model name a tab is opened saying "Invalid tab" and a message in the error log view says: "Error: the SashWindowContainer returned an invalid tab" (see screenshot2.png).

Funny thing is, sometime a migration dialog pops up, sometimes not.
But, no matter what I select, the outcome stays the same.

So, do I miss something?
I guess so.
But what?

Thx in advance!


Re: sysml model migration not working (mars to neon) [message #1750989 is a reply to message #1750937] Tue, 03 January 2017 13:57 Go to previous messageGo to next message
Benoit Maggi is currently offline Benoit MaggiFriend
Messages: 129
Registered: March 2013
Location: Bordeaux, France
Senior Member
Hi Stefan,

You need to Install SysML 1.1 component which was previously part of Papyrus core and is now available as an extra.

For the moment the SysML 1.4 is not able to open model created using SyML 1.1

Regards,
Benoit
Re: sysml model migration not working (mars to neon) [message #1750994 is a reply to message #1750989] Tue, 03 January 2017 14:56 Go to previous messageGo to next message
Stefan Schindler is currently offline Stefan SchindlerFriend
Messages: 4
Registered: January 2017
Junior Member
Hi Benoit,

thx for the quick answer.

That's a very valueable information, not only for me, I guess.

Where can I find the SysML 1.1 component?
It's not in the Papyrus MarketPlace (Help->Install Papyrus Additional Components), is it?

It's a pitty that there is no information or documentation at all about that topic, especially that there are now two distinct SysML components (at least, I couln't find any info or docs).

It would be very helpful if such information would be present in the user guide or on the papyrus website.

Thanks in advance and best regards,

Stefan Schindler.
Re: sysml model migration not working (mars to neon) [message #1751058 is a reply to message #1750994] Wed, 04 January 2017 08:49 Go to previous messageGo to next message
Benoit Maggi is currently offline Benoit MaggiFriend
Messages: 129
Registered: March 2013
Location: Bordeaux, France
Senior Member
Hi Stefan,

You can download it using this update site
http://download.eclipse.org/modeling/mdt/papyrus/updates/releases/neon

For information Help->Install Papyrus Additional Components, is redirecting to a custom mechanism that was probably created for some historical reason.
I hope it will be replaced one day by a standard official Eclipse MarketPlace (Help > Eclipse MartketPlace)

Regards,
Benoit


Re: sysml model migration not working (mars to neon) [message #1751092 is a reply to message #1751058] Wed, 04 January 2017 12:18 Go to previous messageGo to next message
Stefan Schindler is currently offline Stefan SchindlerFriend
Messages: 4
Registered: January 2017
Junior Member
Hi Benoit,

thanks a lot!

Just installed it, and voilĂ , it works.

But the whole situation with papyrus and sysml (extensions, documentation, etc.) is a little confusing, not to say frustrating.
For example, there is an eclipse website for the "Papyrus SysML 1.4 Project", that's fine.
But infos on this site are sparse, a lot of "links" are not even linked, or result in a 404 (e.g. the user-guide.pdf).
Still, not a single word about the SysML 1.1 component, at least not anywhere I could have found it.

Enough with the complaints, I don't want to sound ungrateful, Papyrus is a great product after all.
So, is there a way to contribute to a better/improved documentation situation?

Thx in advance and best regards,

Stefan Schindler.
Re: sysml model migration not working (mars to neon) [message #1751376 is a reply to message #1751092] Mon, 09 January 2017 14:23 Go to previous messageGo to next message
Benoit Maggi is currently offline Benoit MaggiFriend
Messages: 129
Registered: March 2013
Location: Bordeaux, France
Senior Member
Hi Stefan,

Some history:
- the first version of SysML has always been strongly tied with Papyrus Core (same core repository, same build...) (this is the one I refer as SysML 1.1)
- the new version was built to use the latest Papyrus framework but also as a DSML demonstrator (this is the one I refer as SysML 1.4)
- independent repository
- independent build
- used for demonstration and experimentation:
- RcpTT tests
- web site generation (poc based on maven utilities)
=> That's why there is only a website for SysML 1.4 and not 1.1.

There are some internal discussion on how to proceed with the documentation.
My personal point of view is that (for the moment):
- the documentation in SysML 1.4 should only described element specific to the SysML implementation
(not "General Papyrus element", not "How to do a DSML", not "How to do model in SysML")
- keeping an exhaustive and correct documentation is very hard and time consuming
(for example "How to create a Papyrus syml model?", open question: Is it something worth documenting?)

The link is working for me user-guide.pdf
(but we may have fixed that recently)
also this is the latest version user-guide.pdf

What kind of documentation are you expecting?
Something that may be very useful would be a full example see

Regards,
Benoit
Re: sysml model migration not working (mars to neon) [message #1751428 is a reply to message #1751376] Tue, 10 January 2017 09:44 Go to previous message
Stefan Schindler is currently offline Stefan SchindlerFriend
Messages: 4
Registered: January 2017
Junior Member
Hi Benoit,

thanks for taking your time to respond in such detail.
I appreciate that, very much in fact.

So, to straighten out some minor issues:

Everything seems to be fine with version 0.10.0 of the "Papyrus SysML 1.4 Project" Website.
But, this version was not online when I wrote my last leply, was it?
At least, I tried to load it by manually changing the url from 0.9.1 to 0.10.0 and that gave me a 404 back then.
But who know's, could have been a typo.

The problems with the website stemmed from the now old version 0.9.1.
The link I posted last time (user-guide.pdf) is from the "user" subpage, and still not working.

What I called "not linked" last time, seems to be a problem with one of the stylessheets (site.css, bootstrap.min.css, reflow.css...).
The style of the "About" heading (h3#About) on the websites startpage somehow overlaps a few links and therefore breaks the link unctionality (e.g. no :hover effect).
You can check that pretty easy with a dom-inspector, like Firebug or the Firefox developer tools.
The same problem occurs with the latest version of the website (0.10.0).
Just try to click the "Git" or "Javadoc" link in the first paragraph (titled: "SysML 1.4, an extension of Papyrus").
Tested with Firefox an Chrome.

BTW: the SysML section of the Papyrus User Guide in the Eclipse Wiki links to version 0.80.0.

I totally agree with your personal thoughts on docs, but..

What I would have liked or expected to find in the docs is, like I said before, some information about the sysml components and the changes to it.
For example, that there are two distinct extensions now, 1.1 and 1.4 (the 1.1 extension is not mentioned anywhere, is it?).
How to install the extensions, e.g. 1.4 only via papyrus marketplace, 1.1 only via "Install New Software".
That old models (mars) depend on the 1.1 extension and therefore are not working with the 1.4 extension.
What the migration assistent wont help with old models.
That are just a few things that would have been interessting.

Now, having said that, I don't want to be perceived as a "complaining carl" (might be a little to late for that, I guess).
That's why I asked how I could possibly contribute to the docs to improve that specific topic a little (e.g. the wiki).
And do so again.

Thanks in advance and kind regards,

Stefan Schindler.


Previous Topic:Programmatically get a list of registered profiles...
Next Topic:How to model object creation in a sequence diagram with Papyrus
Goto Forum:
  


Current Time: Wed Jan 22 03:03:39 GMT 2020

Powered by FUDForum. Page generated in 0.02394 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top